%define debug_package %{nil}

Summary:	Tool to check and undelete partition, PhotoRec recovers lost files
Summary(pl.UTF8):	Narzędzie sprawdzające i odzyskujące partycje
Summary(fr.UTF8):	Outil pour vérifier et restaurer des partitions
Summary(ru_RU.UTF8): Программа для проверки и восстановления разделов диска
Name:		testdisk
Version:	6.14
Release:	3.3%{?dist}
License:	GPLv2+
Group:		Applications/System
Source0:	http://www.cgsecurity.org/testdisk-%{version}.tar.bz2
Patch0:		testdisk_614_docdir.patch
Patch1:		testdisk_614_fix_ext2_check.patch
URL:		http://www.cgsecurity.org/wiki/TestDisk
BuildRequires:	ncurses-devel >= 5.2
BuildRequires:	e2fsprogs-devel
BuildRequires:	libjpeg-devel
%if 0%{?fedora} >= 17
BuildRequires:  ntfs-3g-devel
%endif
%if 0%{?fedora} == 16
BuildRequires:  /lib/libntfs-3g.so
%endif
%if 0%{?centos} == 5
BuildRequires:  fuse-ntfs-3g-devel
%else
BuildRequires:  ntfs-3g-devel
%endif
BuildRequires:	libewf-devel >= 20110903
BuildRequires:	zlib-devel
BuildRequires:	openssl-devel
%if 0%{?fedora} >= 12 || 0%{?centos} >= 6
BuildRequires:	libuuid-devel
%endif
%if 0%{?fedora} == 11
BuildRequires:	uuid-devel
%endif
%if 0%{?rhel} == 5 || 0%{?centos} == 5
BuildRequires:	uuid-devel
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Obsoletes:	testdisk-doc

%description
Tool to check and undelete partition. Works with FAT12, FAT16, FAT32,
NTFS, ext2, ext3, ext4, btrfs, BeFS, CramFS, HFS, JFS, Linux Raid, Linux
Swap, LVM, LVM2, NSS, ReiserFS, UFS, XFS
PhotoRec is a signature based file recovery utility. It handles more than
200 file formats including JPG, MSOffice, OpenOffice documents.

%description -l pl.UTF8
Narzędzie sprawdzające i odzyskujące partycje. Pracuje z partycjami:
FAT12, FAT16, FAT32, NTFS, ext2, ext3, ext4, btrfs, BeFS, CramFS, HFS, JFS,
Linux Raid, Linux Swap, LVM, LVM2, NSS, ReiserFS, UFS, XFS
PhotoRec is a signature based file recovery utility. It handles more than
200 file formats including JPG, MSOffice, OpenOffice documents.

%description -l fr.UTF8
TestDisk vérifie et récupère les partitions. Fonctionne avec
FAT12, FAT16, FAT32, NTFS, ext2, ext3, ext4, btrfs, BeFS, CramFS, HFS, JFS,
Linux Raid, Linux Swap, LVM, LVM2, NSS, ReiserFS, UFS, XFS
PhotoRec gère plus de 200 formats de fichiers dont les JPEG,
les documents MSOffice ou OpenOffice.

%description -l ru_RU.UTF8
Программа для проверки и восстановления разделов диска.
Поддерживает следующие типы разделов:
FAT12, FAT16, FAT32, NTFS, ext2, ext3, ext4, btrfs, BeFS, CramFS, HFS, JFS,
Linux Raid, Linux Swap, LVM, LVM2, NSS, ReiserFS, UFS, XFS
PhotoRec is a signature based file recovery utility. It handles more than
200 file formats including JPG, MSOffice, OpenOffice documents.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure
make %{?_smp_mflags}
%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR="$RPM_BUILD_ROOT" install
if [ -d %{buildroot}/%{_datadir}/doc/%{name}* ]; then
        rm -rf %{buildroot}/%{_datadir}/doc/%{name}*
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS documentation.html
%attr(755,root,root) %{_bindir}/fidentify
%attr(755,root,root) %{_bindir}/photorec
%attr(755,root,root) %{_bindir}/testdisk
%{_mandir}/man8/fidentify.8*
%{_mandir}/man8/photorec.8*
%{_mandir}/man8/testdisk.8*

%changelog
* Wed Apr 29 2015 Lawrence R. Rogers <lrr@cert.org> 6.14-3.3
- Release 6.14-3.3
	Rebuilt for new ntfs-3g library

* Sat Nov 15 2014 Lawrence R. Rogers <lrr@cert.org> 6.14-3.2
- Release 6.14-3.2
	Rebuilt for ntfs-3g soname bump

* Mon Oct 6 2014 Lawrence R. Rogers <lrr@cert.org> 6.14-3.1
- Release 6.14-3.1
	Rebuilt for ntfs-3g soname bump
	Patch for additional ext2 check (Bug #1027026)

* Mon Oct 6 2014 Lawrence R. Rogers <lrr@cert.org> 6.14-3
- Release 6.14-3
	Removed incorrect obsoletes.

* Fri Sep 06 2013 Lawrence R. Rogers <lrr@cert.org> 6.14-2
- Release 6.14-2
	Now uses latest libntfs-3g so which comes from fuse-ntfs-3g instead of ntfs-3g

* Tue Jul 30 2013 Lawrence R. Rogers <lrr@cert.org> 6.14-1
- Release 6.14-1
	General Improvements
		The log file generated by the Windows version (cygwin) reports bad sectors in a more readable fashion, example
		ReadFile Data error (cyclic redundancy check).
		As openssl isn't used, don't link with this cryptographic library (Debian tries to avoid mixing GPL code and openssl)
	TestDisk
		Improvements
			testdisk /list now displays the disk model, serial number, firmware version and hpa or dco presence if detected
			Recover WBFS (Wii Backup File System) partition
			Make FAT RebuildBS works when there is a single FAT table
			Interface: Display the partition table type if autodetected
			Interface: modified warning about mismatching geometry between FAT or NTFS boot sector and HD geometry information (Debian #651756)
			Interface: Remove "Allow partial last cylinder" option
		Bug fixes
			Fix crc in EFI backup GPT
			Rewrote how TestDisk aligns partition on cylinder or 1MB boundary. It avoids to create partition entry where the partition
			 ends after the end of the disk.
	PhotoRec
		Improvements
			Improve Olympus .orf recovery
			Improve WP Mac/WP5/WP6 Corel Documents .wpd files recovery
			Fix thumbs.db recovery, avoid some false positive with .doc
			Interface: if less than 10 file families are enabled, display the results even if zero has been found yet
			New file formats:
				.aep After Effects
				.axx AxCrypt
				.dp Designer, a Photobook Designer Software
				.lzh archive
				.mmap MindManager
				.plt Gerber Graphix Advantage
				.prproj Adobe Premiere project
				.psb Adobe Photoshop Image
				.pts PTGui, panoramic stitching software
				.qcp The QCP File Format and Media Types for Speech Data (RFC3625)
				.shn Shorten audio file
				.snt Windows Sticky Notes
				.ttd TinyTag Data
				.wallet Armory bitcoin wallet
				.wim Windows imaging (WIM) image
		Bug fixes
			Fix an endless loop during .caf file recovery
			Fix tiff recovery including some raw file formats, 64-bit version wasn't affected

* Fri Jun 7 2013 Lawrence R. Rogers <lrr@cert.org> 6.13-3
- Release 6.13-3
	Now correctly specifies the right version of libewf-devel

* Tue Nov 27 2012 Lawrence R. Rogers <lrr@cert.org> 6.13-2
- Release 6.13-2
	Built with ntfs-3g

* Tue Nov 15 2011 Lawrence R. Rogers <lrr@cert.org> 6.13-1
- Release 6.13-1
	Fix UAC manifests for Windows, so users don't need to use right-click "Run As Administrator" 

	TestDisk
	- Fix image creation, image.dd file wasn't created (Regression introduced in 6.12)
	- Detect Vmware VMFS partition
	- Locate lost GFS2 partition but not yet the size
	- Log HDD serial number and firmware revision
	- List NTFS Alternate Data Streams (ADS) 

	PhotoRec
	- Session recovery restarts at the previous location
	- Better MPEG recovery, there should be less concatenated videos.
	- Better JPG recovery, there should be less cases where thumbnails were recovered instead of the picture itself.
	- Handle large avi files using "AVIX" or mov files using 64-bit chunk size.
	- Rename recovered pdf using the title (not perfect)
	- Major cleanup of PhotoRec core code 

* Mon Oct 10 2011 Lawrence R. Rogers <lrr@cert.org> 6.12-2
- Release 6.12-2
	Now uses libewf-alpha, the version 2 interface to libewf

* Thu May 12 2011 Christophe Grenier <grenier@cgsecurity.org> - 6.12.1
- Update to latest version

* Sat Apr 16 2011 Christophe Grenier <grenier@cgsecurity.org> - 6.11-9
- Rebuild for ntfs-3g

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.11-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Aug 27 2010 Christophe Grenier <grenier@cgsecurity.org> 6.11-7
- Move binaries to /usr/bin (#628050)

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 6.11-6
- rebuilt with new openssl

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 15 2009 Christophe Grenier <grenier@cgsecurity.org> 6.11-4
- Add "BuildRequires:  libuuid-devel"

* Wed May  6 2009 Christophe Grenier <grenier@cgsecurity.org> 6.11-3
- Use upstream patch v2

* Fri Apr 24 2009 Christophe Grenier <grenier@cgsecurity.org> 6.11-2
- Add upstream patch that add missing bound checks when parsing EXIF information

* Sun Apr 19 2009 Christophe Grenier <grenier@cgsecurity.org> 6.11-1
- Update to latest version

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jul 31 2008 Christophe Grenier <grenier@cgsecurity.org> 6.10-1
- Update to latest version

* Wed Mar 19 2008 Christophe Grenier <grenier@cgsecurity.org> 6.9-2
- Fix for new API in libewf > 20070512

* Wed Feb 13 2008 Christophe Grenier <grenier@cgsecurity.org> 6.9-1
- Update to latest version

* Mon Dec 10 2007 Christophe Grenier <grenier@cgsecurity.org> 6.8-6
- Don't disable libewf during compilation

* Mon Dec  3 2007 Christophe Grenier <grenier@cgsecurity.org> 6.8-5
- Don't require ntfsprogs-devel on ppc and ppc64

* Mon Dec  3 2007 Christophe Grenier <grenier@cgsecurity.org> 6.8-4
- Rename TestDisk list functions to avoid conflict with latest ntfsprogs-devel 2.0.0

* Sun Dec  2 2007 Christophe Grenier <grenier@cgsecurity.org> 6.8-3
- Use libewf for support of the Expert Witness Compression Format (EWF)

* Thu Aug 16 2007 Christophe Grenier <grenier@cgsecurity.org> 6.8-2
- Fix the license in the spec file

* Tue Aug 14 2007 Christophe Grenier <grenier@cgsecurity.org> 6.8-1
- Update to latest version

* Fri Jun 29 2007 Christophe Grenier <grenier@cgsecurity.org> 6.7-1
- Update to latest version

* Sun Feb 18 2007 Christophe Grenier <grenier@cgsecurity.org> 6.6-1
- Update to latest version

* Mon Feb 5 2007 Christophe Grenier <grenier@cgsecurity.org> 6.5-3
- Fix russian description in spec file

* Tue Nov 26 2006 Christophe Grenier <grenier@cgsecurity.org> 6.5-2
- Use ntfsprogs to provide NTFS listing capabilities to TestDisk

* Tue Oct 24 2006 Christophe Grenier <grenier@cgsecurity.org> 6.5-1
- Update to latest version

* Mon Aug 28 2006 Christophe Grenier <grenier@cgsecurity.org> 6.4-3
- Rebuild for Fedora Extras 6

* Wed Jun 21 2006 Christophe Grenier <grenier@cgsecurity.org> 6.4-2
- FC3 and FC4 has a release of 2, need to align

* Wed Jun 21 2006 Christophe Grenier <grenier@cgsecurity.org> 6.4-1
- Update to latest version

* Mon Mar  6 2006 Christophe Grenier <grenier@cgsecurity.org> 6.3-1
- Update to latest version

* Tue Feb 28 2006 ChangeLog Grenier <grenier@cgsecurity.org> 6.2-4
- Rebuild for Fedora Extras 5

* Mon Jan 23 2006 Christophe Grenier <grenier@cgsecurity.org> 6.2-3
- same spec for all arches hence add dist

* Sun Jan 4 2004 Christophe Grenier <grenier@cgsecurity.org> 5.0
- 5.0

* Wed Oct 1 2003 Christophe Grenier <grenier@cgsecurity.org> 4.5
- 4.5

* Wed Apr 23 2003 Christophe Grenier <grenier@cgsecurity.org> 4.4-2

* Sat Mar 29 2003 Pascal Terjan <CMoi@tuxfamily.org> 4.4-1mdk
- 4.4

* Fri Dec 27 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.2-2mdk
- rebuild for rpm and glibc

* Sun Oct 06 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.2-1mdk
- 4.2

* Mon Sep 02 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.1-1mdk 
- By Pascal Terjan <pascal.terjan@free.fr>
	- first mdk release, adapted from PLD.
	- gz to bz2 compression.
- fix %%tmppath
- %%make instead %%{__make}
